#
# spec file for package aufs (Version cvs20070604)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils e2fsprogs-devel file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libext2fs-devel libext2fs2 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid-devel libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

# Commandline: 

Name:           aufs
BuildRequires:  %kernel_module_package_buildreq e2fsprogs-devel kernel-source kernel-syms module-init-tools
License:        GPL v2 or later
Group:          System/Filesystems
Version:        cvs20070604
Release:        44.1
Source0:        aufs-%{version}.tar.bz2
Source100:      preamble
Patch0:         aa-hack
Patch1:         local.mk-fix
Patch2:         aufs-stack-protect-stub.diff
Patch3:         aufs-si_flags-rename.diff
Url:            http://aufs.sf.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Utilities to Manipulate aufs Components
%suse_kernel_module_package -n %{name} -p %_sourcedir/preamble kdump um

%description
These are command line tools to inspect and manipulate the components
merged by aufs in user space.



Authors:
--------
    Junjiro Okajima

%debug_package
%package KMP
License:        GPL v2 or later
Group:          System/Filesystems
Summary:        kernel modules required to merge directories into a transparent union file system

%description KMP
Aufs is a stackable unification file system, which can merge the
contents of several directories (so called branches) while keeping
their physical content separate. It allows any mix of read-only and
read-write branches, as well as insertion and deletion of branches on
the fly.



Authors:
--------
    Junjiro Okajima

%prep
%setup -n aufs
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export EXTRA_CFLAGS="$RPM_OPT_FLAGS"
mkdir -p obj || true
for flavor in %flavors_to_build; do
     rm -rf obj/$flavor
     cp -r fs/aufs obj/$flavor
#     export KFLAVOR=$flavor
#     export KBUILD_EXTMOD=`pwd`/obj/$flavor
     make -f local.mk KDIR=/usr/src/linux-obj/%_target_cpu/$flavor \
             M=$PWD/obj/$flavor
done

%install
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=kernel/fs
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor M=$PWD/obj/$flavor \
          V=1 modules_install
done
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/sbin
cp -p util/aufs.5 $RPM_BUILD_ROOT/usr/share/man/man5/. 
install util/*.aufs $RPM_BUILD_ROOT/sbin/
cp -p sample/unionctl util/au{find.sh,lchown,plink} \
        $RPM_BUILD_ROOT/sbin/. 

%clean
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
# %doc README debian/changelog
/sbin/*
/usr/share/man/man?/*

%changelog
* Sun Aug 12 2007 - dmueller@suse.de
- fix permissions
* Tue Jun 05 2007 - jeffm@suse.com
- Patch to work with 2.6.22
* Wed May 09 2007 - duwe@suse.de
- hack the "vfs_*" interface to match the AppArmor API change
- fix "local.mk" to work with multiple kernel flavours
